﻿using System;
using System.Globalization;

using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Development_III_Testing.Tests
{
    [TestClass]
    public class CodeCoverageTests
    {
        [TestMethod]
        public void TestSqrt_PositiveNumber()
        {
            double x = 4;

            double actual = CodeCoverage.Sqrt(x);

            Assert.AreEqual(2, actual);
        }


        [TestMethod]
        [ExpectedException(typeof(NotSupportedException))]
        public void TestSqrt_NegaitveNumber()
        {
            double x = -4;

            double actual = CodeCoverage.Sqrt(x);
        }
    }
}
