﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Development_III_Testing
{
    public class ProductBundle
    {
        private IEnumerable<IProduct> Products
        {
            get;
            set;
        }


        public ProductBundle(IEnumerable<IProduct> products)
        {
            Products = products;
        }


        public double GetTotalPrice()
        {
            double sum = 0;
            foreach (var product in Products)
            {
                sum += product.GetPrice();
            }
            return sum;
        }
    }
}
